package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.ItPelaksanaanPerbaikan;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.entities.StokProdukGlobal;
import com.jasamedika.medifirst2000.helper.Caption;

public class ItPelaksanaanPerbaikanSukuCadangVO extends BaseTransactionVO{

	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "It Pelaksanaan Perbaikan")
	private ItPelaksanaanPerbaikanVO itPelaksanaanPerbaikan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Stok Produk Global")
	private StokProdukGlobalVO stokProdukGlobal;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Tujuan Ruangan")
	private RuanganVO tujuanRuangan;
	
	private Integer RuanganTujuanId;
	
	private Integer qty;
	
	private Integer stokProdukGlobalId;

	public ItPelaksanaanPerbaikanVO getItPelaksanaanPerbaikan() {
		return itPelaksanaanPerbaikan;
	}

	public void setItPelaksanaanPerbaikan(ItPelaksanaanPerbaikanVO itPelaksanaanPerbaikan) {
		this.itPelaksanaanPerbaikan = itPelaksanaanPerbaikan;
	}

	public StokProdukGlobalVO getStokProdukGlobal() {
		return stokProdukGlobal;
	}

	public void setStokProdukGlobal(StokProdukGlobalVO stokProdukGlobal) {
		this.stokProdukGlobal = stokProdukGlobal;
	}

	public RuanganVO getTujuanRuangan() {
		return tujuanRuangan;
	}

	public void setTujuanRuangan(RuanganVO tujuanRuangan) {
		this.tujuanRuangan = tujuanRuangan;
	}

	public Integer getQty() {
		return qty;
	}

	public void setQty(Integer qty) {
		this.qty = qty;
	}

	public Integer getRuanganTujuanId() {
		return RuanganTujuanId;
	}

	public void setRuanganTujuanId(Integer ruanganTujuanId) {
		RuanganTujuanId = ruanganTujuanId;
	}

	public Integer getStokProdukGlobalId() {
		return stokProdukGlobalId;
	}

	public void setStokProdukGlobalId(Integer stokProdukGlobalId) {
		this.stokProdukGlobalId = stokProdukGlobalId;
	}
	
	
	
	
	
}
